Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.common.servlet
Class BufferingResponseWrapper

    java.lang.Object
      javax.servlet.ServletResponseWrapper
          javax.servlet.http.HttpServletResponseWrapper
              org.jboss.portal.common.servlet.BufferingResponseWrapper

All Implemented Interfaces:
  javax.servlet.http.HttpServletResponse, javax.servlet.ServletResponse

    public class BufferingResponseWrapper

extends javax.servlet.http.HttpServletResponseWrapper

Redirection of the Writer

Version:
  $Revision: 7228 $
Author:
  Thomas Heute

Field Summary
`protected int` | `bufferSize` Not really used but we need it to memorize what the client set optionally.

Fields inherited from interface javax.servlet.http.HttpServletResponse
`SC_ACCEPTED, SC_BAD_GATEWAY, SC_BAD_REQUEST, SC_CONFLICT, SC_CONTINUE, SC_CREATED, SC_EXPECTATION_FAILED, SC_FORBIDDEN, SC_FOUND, SC_GATEWAY_TIMEOUT, SC_GONE, SC_HTTP_VERSION_NOT_SUPPORTED, SC_INTERNAL_SERVER_ERROR, SC_LENGTH_REQUIRED, SC_METHOD_NOT_ALLOWED, SC_MOVED_PERMANENTLY, SC_MOVED_TEMPORARILY, SC_MULTIPLE_CHOICES, SC_NO_CONTENT, SC_NON_AUTHORITATIVE_INFORMATION, SC_NOT_ACCEPTABLE, SC_NOT_FOUND, SC_NOT_IMPLEMENTED, SC_NOT_MODIFIED, SC_OK, SC_PARTIAL_CONTENT, SC_PAYMENT_REQUIRED, SC_PRECONDITION_FAILED, SC_PROXY_AUTHENTICATION_REQUIRED, SC_REQUEST_ENTITY_TOO_LARGE, SC_REQUEST_TIMEOUT, SC_REQUEST_URI_TOO_LONG, SC_REQUESTED_RANGE_NOT_SATISFIABLE, SC_RESET_CONTENT, SC_SEE_OTHER, SC_SERVICE_UNAVAILABLE, SC_SWITCHING_PROTOCOLS, SC_TEMPORARY_REDIRECT, SC_UNAUTHORIZED, SC_UNSUPPORTED_MEDIA_TYPE, SC_USE_PROXY`

Constructor Summary
`BufferingResponseWrapper(javax.servlet.http.HttpServletResponse response)`

Method Summary
`void` | `addCookie(javax.servlet.http.Cookie arg0)`
`void` | `addDateHeader(java.lang.String arg0, long arg1)`
`void` | `addHeader(java.lang.String arg0, java.lang.String arg1)`
`void` | `addIntHeader(java.lang.String arg0, int arg1)`
`int` | `getBufferSize()`
`java.lang.String` | `getCharacterEncoding()`
`java.lang.String` | `getContent()`
`javax.servlet.ServletOutputStream` | `getOutputStream()`
`java.io.PrintWriter` | `getWriter()`
`boolean` | `isCommitted()`
`void` | `reset()`
`void` | `resetBuffer()`
`void` | `sendError(int arg0)`
`void` | `sendError(int arg0, java.lang.String arg1)`
`void` | `sendRedirect(java.lang.String arg0)`
`void` | `setBufferSize(int bufferSize)`
`void` | `setCharacterEncoding(java.lang.String characterEncoding)`
`void` | `setContentLength(int arg0)`
`void` | `setContentType(java.lang.String arg0)`
`void` | `setDateHeader(java.lang.String arg0, long arg1)`
`void` | `setHeader(java.lang.String arg0, java.lang.String arg1)`
`void` | `setIntHeader(java.lang.String arg0, int arg1)`
`void` | `setLocale(java.util.Locale arg0)`
`void` | `setStatus(int arg0)`
`void` | `setStatus(int arg0, java.lang.String arg1)`

Methods inherited from class javax.servlet.http.HttpServletResponseWrapper
`containsHeader, encodeRedirectUrl, encodeRedirectURL, encodeUrl, encodeURL`

Methods inherited from class javax.servlet.ServletResponseWrapper
`flushBuffer, getContentType, getLocale, getResponse, setResponse`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.servlet.ServletResponse
`flushBuffer, getContentType, getLocale`

Field Detail

### bufferSize

    protected int bufferSize

  Not really used but we need it to memorize what the client set optionally.

Constructor Detail

### BufferingResponseWrapper

    public BufferingResponseWrapper(javax.servlet.http.HttpServletResponse response)

Method Detail

### getContent

    public java.lang.String getContent()

### addCookie

    public void addCookie(javax.servlet.http.Cookie arg0)

  Specified by:
    `addCookie` in interface `javax.servlet.http.HttpServletResponse`
  Overrides:
    `addCookie` in class `javax.servlet.http.HttpServletResponseWrapper`

### addDateHeader

    public void addDateHeader(java.lang.String arg0,
                              long arg1)

  Specified by:
    `addDateHeader` in interface `javax.servlet.http.HttpServletResponse`
  Overrides:
    `addDateHeader` in class `javax.servlet.http.HttpServletResponseWrapper`

### addHeader

    public void addHeader(java.lang.String arg0,
                          java.lang.String arg1)

  Specified by:
    `addHeader` in interface `javax.servlet.http.HttpServletResponse`
  Overrides:
    `addHeader` in class `javax.servlet.http.HttpServletResponseWrapper`

### addIntHeader

    public void addIntHeader(java.lang.String arg0,
                             int arg1)

  Specified by:
    `addIntHeader` in interface `javax.servlet.http.HttpServletResponse`
  Overrides:
    `addIntHeader` in class `javax.servlet.http.HttpServletResponseWrapper`

### sendError

    public void sendError(int arg0)
                   throws java.io.IOException

  Specified by:
    `sendError` in interface `javax.servlet.http.HttpServletResponse`
  Overrides:
    `sendError` in class `javax.servlet.http.HttpServletResponseWrapper`
  Throws:
    `java.io.IOException`

### sendError

    public void sendError(int arg0,
                          java.lang.String arg1)
                   throws java.io.IOException

  Specified by:
    `sendError` in interface `javax.servlet.http.HttpServletResponse`
  Overrides:
    `sendError` in class `javax.servlet.http.HttpServletResponseWrapper`
  Throws:
    `java.io.IOException`

### sendRedirect

    public void sendRedirect(java.lang.String arg0)
                      throws java.io.IOException

  Specified by:
    `sendRedirect` in interface `javax.servlet.http.HttpServletResponse`
  Overrides:
    `sendRedirect` in class `javax.servlet.http.HttpServletResponseWrapper`
  Throws:
    `java.io.IOException`

### setDateHeader

    public void setDateHeader(java.lang.String arg0,
                              long arg1)

  Specified by:
    `setDateHeader` in interface `javax.servlet.http.HttpServletResponse`
  Overrides:
    `setDateHeader` in class `javax.servlet.http.HttpServletResponseWrapper`

### setHeader

    public void setHeader(java.lang.String arg0,
                          java.lang.String arg1)

  Specified by:
    `setHeader` in interface `javax.servlet.http.HttpServletResponse`
  Overrides:
    `setHeader` in class `javax.servlet.http.HttpServletResponseWrapper`

### setIntHeader

    public void setIntHeader(java.lang.String arg0,
                             int arg1)

  Specified by:
    `setIntHeader` in interface `javax.servlet.http.HttpServletResponse`
  Overrides:
    `setIntHeader` in class `javax.servlet.http.HttpServletResponseWrapper`

### setStatus

    public void setStatus(int arg0)

  Specified by:
    `setStatus` in interface `javax.servlet.http.HttpServletResponse`
  Overrides:
    `setStatus` in class `javax.servlet.http.HttpServletResponseWrapper`

### setStatus

    public void setStatus(int arg0,
                          java.lang.String arg1)

  Specified by:
    `setStatus` in interface `javax.servlet.http.HttpServletResponse`
  Overrides:
    `setStatus` in class `javax.servlet.http.HttpServletResponseWrapper`

### getBufferSize

    public int getBufferSize()

  Specified by:
    `getBufferSize` in interface `javax.servlet.ServletResponse`
  Overrides:
    `getBufferSize` in class `javax.servlet.ServletResponseWrapper`

### getCharacterEncoding

    public java.lang.String getCharacterEncoding()

  Specified by:
    `getCharacterEncoding` in interface `javax.servlet.ServletResponse`
  Overrides:
    `getCharacterEncoding` in class `javax.servlet.ServletResponseWrapper`

### getOutputStream

    public javax.servlet.ServletOutputStream getOutputStream()
                                                      throws java.io.IOException

  Specified by:
    `getOutputStream` in interface `javax.servlet.ServletResponse`
  Overrides:
    `getOutputStream` in class `javax.servlet.ServletResponseWrapper`
  Throws:
    `java.io.IOException`

### getWriter

    public java.io.PrintWriter getWriter()
                                  throws java.io.IOException

  Specified by:
    `getWriter` in interface `javax.servlet.ServletResponse`
  Overrides:
    `getWriter` in class `javax.servlet.ServletResponseWrapper`
  Throws:
    `java.io.IOException`

### isCommitted

    public boolean isCommitted()

  Specified by:
    `isCommitted` in interface `javax.servlet.ServletResponse`
  Overrides:
    `isCommitted` in class `javax.servlet.ServletResponseWrapper`

### reset

    public void reset()

  Specified by:
    `reset` in interface `javax.servlet.ServletResponse`
  Overrides:
    `reset` in class `javax.servlet.ServletResponseWrapper`

### resetBuffer

    public void resetBuffer()

  Specified by:
    `resetBuffer` in interface `javax.servlet.ServletResponse`
  Overrides:
    `resetBuffer` in class `javax.servlet.ServletResponseWrapper`

### setBufferSize

    public void setBufferSize(int bufferSize)

  Specified by:
    `setBufferSize` in interface `javax.servlet.ServletResponse`
  Overrides:
    `setBufferSize` in class `javax.servlet.ServletResponseWrapper`

### setCharacterEncoding

    public void setCharacterEncoding(java.lang.String characterEncoding)

  Specified by:
    `setCharacterEncoding` in interface `javax.servlet.ServletResponse`
  Overrides:
    `setCharacterEncoding` in class `javax.servlet.ServletResponseWrapper`

### setContentLength

    public void setContentLength(int arg0)

  Specified by:
    `setContentLength` in interface `javax.servlet.ServletResponse`
  Overrides:
    `setContentLength` in class `javax.servlet.ServletResponseWrapper`

### setContentType

    public void setContentType(java.lang.String arg0)

  Specified by:
    `setContentType` in interface `javax.servlet.ServletResponse`
  Overrides:
    `setContentType` in class `javax.servlet.ServletResponseWrapper`

### setLocale

    public void setLocale(java.util.Locale arg0)

  Specified by:
    `setLocale` in interface `javax.servlet.ServletResponse`
  Overrides:
    `setLocale` in class `javax.servlet.ServletResponseWrapper`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008. All Rights Reserved.